Package org.apache.catalina.valves

## Class AbstractAccessLogValve.SessionAttributeElement

- java.lang.Object
- - org.apache.catalina.valves.AbstractAccessLogValve.SessionAttributeElement

- All Implemented Interfaces:
    `AbstractAccessLogValve.AccessLogElement`
  Enclosing class:
    AbstractAccessLogValve

      protected static class AbstractAccessLogValve.SessionAttributeElement
      extends java.lang.Object
      implements AbstractAccessLogValve.AccessLogElement

  write an attribute in the HttpSession - %{xxx}s

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SessionAttributeElement​(java.lang.String header)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addElement​(java.io.CharArrayWriter buf, java.util.Date date, Request request, Response response, long time)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionAttributeElement

          public SessionAttributeElement​(java.lang.String header)

  - ### Method Detail

    - #### addElement

          public void addElement​(java.io.CharArrayWriter buf,
                                 java.util.Date date,
                                 Request request,
                                 Response response,
                                 long time)

      Specified by:
        `addElement` in interface `AbstractAccessLogValve.AccessLogElement`